%global         srcname     azure-mgmt-relay

Name:           python-%{srcname}
Version:        0.1.0
Release:        5%{?dist}
Summary:        Microsoft Azure Relay Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}
Patch0:         python-azure-mgmt-relay-nspkg.patch

BuildArch:      noarch

Epoch:          1


BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros


%global _description %{expand:
Microsoft Azure Relay Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
Obsoletes:      python3-azure-sdk < 5.0.1
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -p0 -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r

# Remove the custom wheel builder.
rm -f azure_bdist_wheel.py


%build
%pyproject_wheel


%install
%pyproject_install

# PEP 420 allows implicit namespace packaging without additional __init__.py
# files. Remove unneccessary __init__.py that conflicts with other packages.
rm -rf %{buildroot}%{python3_sitelib}/azure/{__init__.py,__pycache__}
rm -rf %{buildroot}%{python3_sitelib}/azure/mgmt/{__init__.py,__pycache__}


%files -n python3-%{srcname}
%doc README.rst HISTORY.rst
%{python3_sitelib}/azure/mgmt/relay
%{python3_sitelib}/azure_mgmt_relay-%{version}.dist-info


%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 1:0.1.0-4
- Move obsoletes into subpackage

* Mon Jul 26 2021 Major Hayden <major@mhtx.net> - 1:0.1.0-3
- Remove conflicting namespace package files

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:0.1.0-2
- Add epoch number for 0.1.0 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 0.1.0-1
- Downgrade to 0.1.0

* Tue Jun 01 2021 Major Hayden <major@mhtx.net> - 1.0.0-1
- First package.
